### Method

# AppStream Component set_metadata_license

#### Declaration [src]

    void
    as_component_set_metadata_license (
      AsComponent* cpt,
      const gchar* value
    )

#### Description [src]

Set the license this metadata is licensed under.

#### Parameters

`value`

  Type: `const gchar*`

  The metadata license.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.